<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'cachestore_redis', language 'de_orig', branch 'MOODLE_36_STABLE'
 *
 * @package   cachestore_redis
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['database'] = 'Datenbanknummer';
$string['database_help'] = 'Idealerweise sollten Sie für jeden Speicher eine eindeutige Datenbanknummer angeben.

Unterschiedliche Installationen sollten niemals eine Redis-Datenbank gemeinsam nutzen.';
$string['errordatabasenegative'] = 'Die Datenbank muss 0 oder eine positive ganze Zahl sein.';
$string['password'] = 'Kennwort';
$string['password_help'] = 'Tragen Sie das Passwort des Redis-Servers ein';
$string['pluginname'] = 'Redis';
$string['prefix'] = 'Key-Prefix';
$string['prefix_help'] = 'Der Prefix wird für alle Schlüsselnamen des Redis-Servers genutzt.
* Wenn Sie nur eine Moodle-Instanz auf diesem Server verwenden, kann der Default Wert verwendet werden
* Aufgrund von Längenbeschränkungen sind max. 5 Zeichen zulässig.';
$string['prefixinvalid'] = 'Ungültiges Vorzeichen. Sie können nur a-z A-Z 0-9-_ nutzen.';
$string['read_password'] = 'Read-Replica-Passwort';
$string['read_password_help'] = 'Dadurch wird das Kennwort des Redis-Servers für die Read-Replica festgelegt.';
$string['read_server'] = 'Read-Replica-Server';
$string['read_server_help'] = 'Wenn Sie eine Umgebung mit Redis-Read-Replica haben, geben Sie bitte hier die Adresse des Replica-Load-Balancers an';
$string['sentinelhosts'] = 'Sentinel-Hosts';
$string['sentinelhosts_help'] = 'Redis Sentinel ist eine Hochverfügbarkeitslösung für Redis. Es bietet Überwachung, Failover und vereinfacht die Konfiguration.

Verwenden Sie eine durch Kommas getrennte Liste von Sentinels im Format "host1:port,host2:port,host3:port". Unix-Sockets werden nicht unterstützt.

Wenn angegeben, wird die Server-Option nicht verwendet und die Kennwort-Option wird für den vom Sentinel zurückgegebenen Master verwendet.';
$string['sentinelmaster'] = 'Name des Sentinel-Masters';
$string['sentinelmaster_help'] = 'Interner Mastername in der Redis Sentinel-Konfiguration';
$string['sentinelpassword'] = 'Sentinel-Passwort';
$string['serializer_igbinary'] = 'igbinary Serializer';
$string['serializer_php'] = 'Standard PHP Serializer';
$string['server'] = 'Server';
$string['server_help'] = 'Legt den Hostnamen oder IP-Adresse des zu nutzenden Redis-Server fest.';
$string['test_database'] = 'Redis Testdatenbank';
$string['test_database_desc'] = 'Redis Testdatenbanknummer auf dem Testserver.';
$string['test_password'] = 'Testserver-Passwort';
$string['test_password_desc'] = 'Redis Testserver-Passwort';
$string['test_read_password'] = 'Redis-Read-Replica-Passwort';
$string['test_read_password_desc'] = 'Redis-Read-Replica-Passwort';
$string['test_read_server'] = 'Redis-Read-Replica-Testserver';
$string['test_read_server_desc'] = 'Redis-Read-Replica-Server, um zu testen';
$string['test_sentinelhosts'] = 'Redis-Test-Sentinel-Hosts';
$string['test_sentinelhosts_desc'] = 'Redis-Sentinel-Hosts, die für MUC-Tests verwendet werden.';
$string['test_sentinelmaster'] = 'Redis-Test-Sentinel-Mastername';
$string['test_sentinelmaster_desc'] = 'Redis Sentinel-Mastername für MUC-Tests.';
$string['test_sentinelpassword'] = 'Redis-Test-Sentinel-Passwort';
$string['test_sentinelpassword_desc'] = 'Redis-Sentinel-Passwort, das für MUC-Tests verwendet wird.';
$string['test_serializer'] = 'Serializer';
$string['test_serializer_desc'] = 'Serializer zur Verwendung beim Testen';
$string['test_server'] = 'Redis-Testserver';
$string['test_server_desc'] = 'Redis-Server, der für Tests genutzt wird.';
$string['useserializer'] = 'Serializer verwenden';
$string['useserializer_help'] = 'Diese Option legt den Serializer fest, der für die Serialisierung verwendet werden soll.
Die gültigen Serializer sind Redis::SERIALIZER_PHP oder Redis::SERIALIZER_IGBINARY.
Letzterer wird nur unterstützt, wenn phpredis mit der Option --enable-redis-igbinary konfiguriert ist und die PHP-Extension igbinary geladen ist.';
$string['useserializer_warning'] = 'Der Serializer darf nicht geändert werden, wenn sich bereits Daten im Cache befinden.';
